Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.encoding
Interface Serializer

All Superinterfaces:
  java.io.Serializable, Serializer

All Known Subinterfaces:
  SimpleValueSerializer

All Known Implementing Classes:
  ElementSerializer, ArraySerializer, JAFDataHandlerSerializer, BeanSerializer, VectorSerializer, MapSerializer

public interface Serializer
extends Serializer

This interface describes the AXIS Serializer. An Axis compliant Serializer must provide one or more of the following methods: public (Class javaType, QName xmlType) public () This will allow for construction of generic factories that introspect the class to determine how to construct a deserializer. The xmlType, javaType arguments are filled in with the values known by the factory.

Method Summary
`void` | `serialize(QName name, org.xml.sax.Attributes attributes, java.lang.Object value, SerializationContext context)` Serialize an element named name, with the indicated attributes and value.
`boolean` | `writeSchema(Types types)` Return XML schema for the specified type, suitable for insertion into the element of a WSDL document.

Methods inherited from interface javax.xml.rpc.encoding.Serializer
`getMechanismType`

Method Detail

### serialize

    public void serialize(QName name,
                          org.xml.sax.Attributes attributes,
                          java.lang.Object value,
                          SerializationContext context)
                   throws java.io.IOException

  Serialize an element named name, with the indicated attributes and value.
  Parameters:
    `name` - is the element name
    `attributes` - are the attributes...serialize is free to add more.
    `value` - is the value
    `context` - is the SerializationContext

### writeSchema

    public boolean writeSchema(Types types)
                        throws java.lang.Exception

  Return XML schema for the specified type, suitable for insertion into the element of a WSDL document.
  Parameters:
    `types` - the Java2WSDL Types object which holds the context for the WSDL being generated.
  Returns:
    true if we wrote a schema, false if we didn't.
  See Also:
    `Types`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 Apache XML Project. All Rights Reserved.